# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sinatra/g_auth/version'

Gem::Specification.new do |gem|
  gem.name          = "sinatra-g_auth"
  gem.version       = Sinatra::GAuth::VERSION
  gem.authors       = ["StyleSeek Engineering"]
  gem.email         = ["engineering@styleseek.com"]
  gem.description   = %q{Sinatra + oAuth via Google Apps}
  gem.summary       = %q{Quickly add Google Apps authentication to any Sintra app.}
  gem.homepage      = "https://github.com/styleseek/sinatra-g_auth"
  gem.license       = "MIT"

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}) { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(spec)/})
  gem.require_paths = ['lib']

  gem.add_dependency 'sinatra', '~> 1.4.0'
  gem.add_dependency 'omniauth-google-apps', '~> 0.0.2'

  gem.add_development_dependency 'bundler', '~> 1.3'
  gem.add_development_dependency 'rake'
  gem.add_development_dependency 'minitest'
  gem.add_development_dependency 'minitest-reporters'
  gem.add_development_dependency 'rack-test'
end
